///home/berryj/link/bin/genMethods "-t" "SubSet<Vertex*>" "-h" "Container" "-I" "LINK/graph/Vertex.h" "-I" "LINK/basic/SubSet.h" "-I" "LINK/basic/Set.h" "-I" "LINK/basic/Container.h" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/Vertex.h>

#include <LINK/basic/SubSet.h>

#include <LINK/basic/Set.h>

#include <LINK/basic/Container.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>


typedef SubSet<Vertex*> _SubSet_Vertex__;
typedef Container<SubSet<Vertex*> > _Container_SubSet_Vertex___;

#define _Container_SubSet_Vertex___DATA(x) ((Container<SubSet<Vertex*> >*) (EXTDATA(x)))
#define _Container_SubSet_Vertex___IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<SubSet<Vertex*> > >::type))
#define _Container_SubSet_Vertex___ISNT_DATA(x) (!_Container_SubSet_Vertex___IS_DATA(x))

#define _Container_SubSet_Vertex___CXX_DATA(x) (*(Container<SubSet<Vertex*> >*) (EXTDATA(VAL(x))))
#define _Container_SubSet_Vertex___CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<SubSet<Vertex*> > >::type))
#define _Container_SubSet_Vertex___CXX_ISNT_DATA(x) (!_Container_SubSet_Vertex___CXX_IS_DATA(x))


PRIMITIVE STk_init__Container_SubSet_Vertex___()
{
	Wrapper<_Container_SubSet_Vertex___>::type = STk_new_CXXwrapper_id(
			Wrapper<_Container_SubSet_Vertex___>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))0,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_Container_SubSet_Vertex___>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Container_SubSet_Vertex___Methods(void);

PRIMITIVE STk_init_methods__Container_SubSet_Vertex___()
{
	genExtra_Container_SubSet_Vertex___Methods();
	return UNDEFINED;
}
